Page 1 of 1

OpenCATS 0.9.6 installation issues

Posted: 18 Jul 2021, 19:35
by DRHarrison
I've been working through installation issues for a long time. Finally found thanks to another forum post that the database setup is entirely different than the 9.6.4 documentation. The user is cats, password is password, and the database name is cats_dev. Finally found that the database name was different today thanks to a reply in a post by Gregg.
Now I got past the database errors, and when I open the http://localhost/OpenCATS in a browser, I do not get the installation wizard, but a bunch of the following warnings then the logon screen:
Warning: mysqli_fetch_assoc() expects parameter 1 to be mysqli_result, boolean given in C:\xampp\htdocs\OpenCATS\lib\DatabaseConnection.php on line 321

It does seem to create some database tables. But the install wizard, test connectivity, etc. didn't run.

Help would be appreciated. Thanks!

Note: I installed XAMPP-windows-x64-7.2.33-1-VC15

Re: OpenCATS 0.9.6 installation issues

Posted: 20 Jul 2021, 14:26
by RussH
Hi there,

really need to know your installed versions of php, MySQL (MariaDB) and which OpenCATS package you're trying to install.

The older packages don't support PHP above 5.6 and the newer one is only supported with 7.2 and MariaDB (as opposed to MySQL).

The documentation is indeed a little out of date, but that will catch up.

Re: OpenCATS 0.9.6 installation issues

Posted: 21 Jul 2021, 15:37
by DRHarrison
Installing on a Windows 10 Pro 21h1 box, using xampp 7.2.33-1-VC15 windows x64 and OPENCATS 0.9.6
I believe the 7.2.33 refers to the PHP version.
Thanks, Dennis

Re: OpenCATS 0.9.6 installation issues

Posted: 21 Jul 2021, 23:51
by DRHarrison
The version of XAMPP I am using has MariaDB version 10.4.14
Thanks, Dennis